datablock ParticleData(BokehAParticle)
{
	dragCoefficient		= 0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 4000;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 0;
	spinRandomMin		= -90.0;
	spinRandomMax		= 90.0;
	useInvAlpha		= true;
	textureName			 = "add-ons/particle_bokeh/BokehA";
	colors[0]	= "1.0 0.0 0.0 1.0";
	colors[1]	= "1.0 0.0 0.0 1.0";
	colors[2]	= "1.0 0.0 0.0 0.0";

	sizes[0]	= 1.0;
	sizes[1]	= 1.0;
	sizes[2]	= 1.0;

	times[0]	= 0.0;
	times[1]	= 0.9;
	times[2]	= 1.0;
};

datablock ParticleData(BokehBParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehB";
};

datablock ParticleData(BokehCParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehC";
};

datablock ParticleData(BokehDParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehD";
};

// square particles
datablock ParticleData(BokehSquareAParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehSquareA";
};

datablock ParticleData(BokehSquareBParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehSquareB";
};

datablock ParticleData(BokehSquareCParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehSquareC";
};

datablock ParticleData(BokehSquareDParticle : BokehAParticle)
{
	textureName = "add-ons/particle_bokeh/BokehSquareD";
};

// emitters
datablock ParticleEmitterData(Bokeh_AEmitter)
{
	ejectionPeriodMS = 1000;
	periodVarianceMS = 1;
	ejectionVelocity = 1.5;
	velocityVariance = 0.25;
	ejectionOffset = 0;
	thetaMin = 0.0;
	thetaMax = 10.0;  
	particles = "BokehAParticle";
	useEmitterColors = true;
	uiName = "Bokeh A";
};

datablock ParticleEmitterData(Bokeh_BEmitter : Bokeh_AEmitter)
{ 
	particles = "BokehBParticle";
	uiName = "Bokeh B";
};

datablock ParticleEmitterData(Bokeh_CEmitter : Bokeh_AEmitter)
{

	particles = "BokehCParticle";
	uiName = "Bokeh C";
};

datablock ParticleEmitterData(Bokeh_DEmitter : Bokeh_AEmitter)
{

	particles = "BokehCParticle";
	uiName = "Bokeh D";
};

// squares
datablock ParticleEmitterData(Bokeh_SquareAEmitter : Bokeh_AEmitter)
{ 
	particles = "BokehSquareAParticle";
	uiName = "Bokeh Square A";
};

datablock ParticleEmitterData(Bokeh_SquareBEmitter : Bokeh_AEmitter)
{ 
	particles = "BokehSquareBParticle";
	uiName = "Bokeh Square B";
};

datablock ParticleEmitterData(Bokeh_SquareCEmitter : Bokeh_AEmitter)
{

	particles = "BokehSquareCParticle";
	uiName = "Bokeh Square C";
};

datablock ParticleEmitterData(Bokeh_SquareDEmitter : Bokeh_AEmitter)
{

	particles = "BokehSquareDParticle";
	uiName = "Bokeh Square D";
};

// dense
datablock ParticleEmitterData(Bokeh_ADenseEmitter : Bokeh_AEmitter)
{
	ejectionPeriodMS = 200;
	particles = "BokehAParticle";
	uiName = "Bokeh Dense A";
};

datablock ParticleEmitterData(Bokeh_BDenseEmitter : Bokeh_ADenseEmitter)
{ 
	particles = "BokehBParticle";
	uiName = "Bokeh Dense B";
};

datablock ParticleEmitterData(Bokeh_CDenseEmitter : Bokeh_ADenseEmitter)
{
	particles = "BokehCParticle";
	uiName = "Bokeh Dense C";
};

datablock ParticleEmitterData(Bokeh_DDenseEmitter : Bokeh_ADenseEmitter)
{
	particles = "BokehDParticle";
	uiName = "Bokeh Dense D";
};

// dense squares
datablock ParticleEmitterData(Bokeh_SquareADenseEmitter : Bokeh_ADenseEmitter)
{ 
	particles = "BokehSquareAParticle";
	uiName = "Bokeh Dense Square A";
};

datablock ParticleEmitterData(Bokeh_SquareBDenseEmitter : Bokeh_ADenseEmitter)
{ 
	particles = "BokehSquareBParticle";
	uiName = "Bokeh Dense Square B";
};

datablock ParticleEmitterData(Bokeh_SquareCDenseEmitter : Bokeh_ADenseEmitter)
{
	particles = "BokehSquareCParticle";
	uiName = "Bokeh Dense Square C";
};

datablock ParticleEmitterData(Bokeh_SquareDDenseEmitter : Bokeh_ADenseEmitter)
{
	particles = "BokehSquareDParticle";
	uiName = "Bokeh Dense Square D";
};

// all / mixed
datablock ParticleEmitterData(Bokeh_AllEmitter : Bokeh_AEmitter)
{
	particles = "BokehAParticle BokehBParticle BokehCParticle BokehDParticle";
	uiName = "Bokeh All";
};

datablock ParticleEmitterData(Bokeh_SquareAllEmitter : Bokeh_AEmitter)
{
	particles = "BokehSquareAParticle BokehSquareBParticle BokehSquareCParticle BokehSquareDParticle";
	uiName = "Bokeh Square All";
};

datablock ParticleEmitterData(Bokeh_MixedAllEmitter : Bokeh_AEmitter)
{
	particles = "BokehSquareAParticle BokehAParticle BokehSquareBParticle BokehBParticle BokehSquareCParticle BokehCParticle BokehSquareDParticle BokehDParticle";
	uiName = "Bokeh Mixed All";
};